## NAS enumerations and flags NAS enumerations and flags |

## Functions

const gchar * | qmi_nas_radio_interface_get_string ()
const gchar * | qmi_nas_active_band_get_string ()
const gchar * | qmi_nas_network_service_domain_get_string ()
const gchar * | qmi_nas_evdo_sinr_level_get_string ()
gchar * | qmi_nas_signal_strength_request_build_string_from_mask ()
gchar * | qmi_nas_network_scan_type_build_string_from_mask ()
gchar * | qmi_nas_network_status_build_string_from_mask ()
const gchar * | qmi_nas_network_register_type_get_string ()
const gchar * | qmi_nas_registration_state_get_string ()
const gchar * | qmi_nas_attach_state_get_string ()
const gchar * | qmi_nas_network_type_get_string ()
const gchar * | qmi_nas_roaming_indicator_status_get_string ()
const gchar * | qmi_nas_data_capability_get_string ()
const gchar * | qmi_nas_service_status_get_string ()
const gchar * | qmi_nas_hdr_personality_get_string ()
const gchar * | qmi_nas_call_barring_status_get_string ()
const gchar * | qmi_nas_network_description_display_get_string ()
const gchar * | qmi_nas_network_description_encoding_get_string ()
gchar * | qmi_nas_radio_technology_preference_build_string_from_mask ()
const gchar * | qmi_nas_preference_duration_get_string ()
const gchar * | qmi_nas_ps_attach_action_get_string ()
gchar * | qmi_nas_rat_mode_preference_build_string_from_mask ()
const gchar * | qmi_nas_cdma_prl_preference_get_string ()
const gchar * | qmi_nas_roaming_preference_get_string ()
const gchar * | qmi_nas_network_selection_preference_get_string ()
const gchar * | qmi_nas_change_duration_get_string ()
const gchar * | qmi_nas_service_domain_preference_get_string ()
const gchar * | qmi_nas_gsm_wcdma_acquisition_order_preference_get_string ()
gchar * | qmi_nas_band_preference_build_string_from_mask ()
gchar * | qmi_nas_lte_band_preference_build_string_from_mask ()
gchar * | qmi_nas_td_scdma_band_preference_build_string_from_mask ()
const gchar * | qmi_nas_roaming_status_get_string ()
const gchar * | qmi_nas_hdr_protocol_revision_get_string ()
const gchar * | qmi_nas_wcdma_hs_service_get_string ()
const gchar * | qmi_nas_cell_broadcast_capability_get_string ()
const gchar * | qmi_nas_sim_reject_state_get_string ()
const gchar * | qmi_nas_cdma_pilot_type_get_string ()
const gchar * | qmi_nas_day_of_week_get_string ()
const gchar * | qmi_nas_daylight_savings_adjustment_get_string ()
const gchar * | qmi_nas_wcdma_rrc_state_get_string ()
const gchar * | qmi_nas_dl_bandwidth_get_string ()
const gchar * | qmi_nas_scell_state_get_string ()
gchar * | qmi_nas_network_name_display_condition_build_string_from_mask ()
const gchar * | qmi_nas_plmn_encoding_scheme_get_string ()
const gchar * | qmi_nas_plmn_name_country_initials_get_string ()
const gchar * | qmi_nas_plmn_name_spare_bits_get_string ()

## Types and Values

enum | QmiNasRadioInterface
enum | QmiNasActiveBand
enum | QmiNasNetworkServiceDomain
enum | QmiNasEvdoSinrLevel
enum | QmiNasSignalStrengthRequest
enum | QmiNasNetworkScanType
enum | QmiNasNetworkStatus
enum | QmiNasNetworkRegisterType
enum | QmiNasRegistrationState
enum | QmiNasAttachState
enum | QmiNasNetworkType
enum | QmiNasRoamingIndicatorStatus
enum | QmiNasDataCapability
enum | QmiNasServiceStatus
enum | QmiNasHdrPersonality
enum | QmiNasCallBarringStatus
enum | QmiNasNetworkDescriptionDisplay
enum | QmiNasNetworkDescriptionEncoding
enum | QmiNasRadioTechnologyPreference
enum | QmiNasPreferenceDuration
enum | QmiNasPsAttachAction
enum | QmiNasRatModePreference
enum | QmiNasCdmaPrlPreference
enum | QmiNasRoamingPreference
enum | QmiNasNetworkSelectionPreference
enum | QmiNasChangeDuration
enum | QmiNasServiceDomainPreference
enum | QmiNasGsmWcdmaAcquisitionOrderPreference
enum | QmiNasBandPreference
enum | QmiNasLteBandPreference
enum | QmiNasTdScdmaBandPreference
enum | QmiNasRoamingStatus
enum | QmiNasHdrProtocolRevision
enum | QmiNasWcdmaHsService
enum | QmiNasCellBroadcastCapability
enum | QmiNasSimRejectState
enum | QmiNasCdmaPilotType
enum | QmiNasDayOfWeek
enum | QmiNasDaylightSavingsAdjustment
enum | QmiNasWcdmaRrcState
enum | QmiNasDLBandwidth
enum | QmiNasScellState
enum | QmiNasNetworkNameDisplayCondition
enum | QmiNasPlmnEncodingScheme
enum | QmiNasPlmnNameCountryInitials
enum | QmiNasPlmnNameSpareBits

## Object Hierarchy

        GEnum
        ├── QmiNasActiveBand
        ├── QmiNasAttachState
        ├── QmiNasCallBarringStatus
        ├── QmiNasCdmaPilotType
        ├── QmiNasCdmaPrlPreference
        ├── QmiNasCellBroadcastCapability
        ├── QmiNasChangeDuration
        ├── QmiNasDLBandwidth
        ├── QmiNasDataCapability
        ├── QmiNasDayOfWeek
        ├── QmiNasDaylightSavingsAdjustment
        ├── QmiNasEvdoSinrLevel
        ├── QmiNasGsmWcdmaAcquisitionOrderPreference
        ├── QmiNasHdrPersonality
        ├── QmiNasHdrProtocolRevision
        ├── QmiNasNetworkDescriptionDisplay
        ├── QmiNasNetworkDescriptionEncoding
        ├── QmiNasNetworkRegisterType
        ├── QmiNasNetworkSelectionPreference
        ├── QmiNasNetworkServiceDomain
        ├── QmiNasNetworkType
        ├── QmiNasPlmnEncodingScheme
        ├── QmiNasPlmnNameCountryInitials
        ├── QmiNasPlmnNameSpareBits
        ├── QmiNasPreferenceDuration
        ├── QmiNasPsAttachAction
        ├── QmiNasRadioInterface
        ├── QmiNasRegistrationState
        ├── QmiNasRoamingIndicatorStatus
        ├── QmiNasRoamingPreference
        ├── QmiNasRoamingStatus
        ├── QmiNasScellState
        ├── QmiNasServiceDomainPreference
        ├── QmiNasServiceStatus
        ├── QmiNasSimRejectState
        ├── QmiNasWcdmaHsService
        ╰── QmiNasWcdmaRrcState
        GFlags
        ├── QmiNasNetworkNameDisplayCondition
        ├── QmiNasNetworkScanType
        ├── QmiNasNetworkStatus
        ├── QmiNasRadioTechnologyPreference
        ├── QmiNasRatModePreference
        ├── QmiNasSignalStrengthRequest
        ╰── QmiNasTdScdmaBandPreference

## Description

This section defines enumerations and flags used in the NAS service interface.

## Functions

### qmi_nas_radio_interface_get_string ()

    const gchar *
    qmi_nas_radio_interface_get_string (QmiNasRadioInterface val);

Gets the nickname string for the QmiNasRadioInterface specified at `val` .

#### Parameters

val | a QmiNasRadioInterface. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_active_band_get_string ()

    const gchar *
    qmi_nas_active_band_get_string (QmiNasActiveBand val);

Gets the nickname string for the QmiNasActiveBand specified at `val` .

#### Parameters

val | a QmiNasActiveBand. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_network_service_domain_get_string ()

    const gchar *
    qmi_nas_network_service_domain_get_string
                                   (QmiNasNetworkServiceDomain val);

Gets the nickname string for the QmiNasNetworkServiceDomain specified at `val` .

#### Parameters

val | a QmiNasNetworkServiceDomain. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_evdo_sinr_level_get_string ()

    const gchar *
    qmi_nas_evdo_sinr_level_get_string (QmiNasEvdoSinrLevel val);

Gets the nickname string for the QmiNasEvdoSinrLevel specified at `val` .

#### Parameters

val | a QmiNasEvdoSinrLevel. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_signal_strength_request_build_string_from_mask ()

    gchar *
    qmi_nas_signal_strength_request_build_string_from_mask
                                   (QmiNasSignalStrengthRequest mask);

Builds a string containing a comma-separated list of nicknames for each QmiNasSignalStrengthRequest in `mask` .

#### Parameters

mask | bitmask of QmiNasSignalStrengthRequest values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.0

### qmi_nas_network_scan_type_build_string_from_mask ()

    gchar *
    qmi_nas_network_scan_type_build_string_from_mask
                                   (QmiNasNetworkScanType mask);

Builds a string containing a comma-separated list of nicknames for each QmiNasNetworkScanType in `mask` .

#### Parameters

mask | bitmask of QmiNasNetworkScanType values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.0

### qmi_nas_network_status_build_string_from_mask ()

    gchar *
    qmi_nas_network_status_build_string_from_mask
                                   (QmiNasNetworkStatus mask);

Builds a string containing a comma-separated list of nicknames for each QmiNasNetworkStatus in `mask` .

#### Parameters

mask | bitmask of QmiNasNetworkStatus values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.0

### qmi_nas_network_register_type_get_string ()

    const gchar *
    qmi_nas_network_register_type_get_string
                                   (QmiNasNetworkRegisterType val);

Gets the nickname string for the QmiNasNetworkRegisterType specified at `val` .

#### Parameters

val | a QmiNasNetworkRegisterType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_registration_state_get_string ()

    const gchar *
    qmi_nas_registration_state_get_string (QmiNasRegistrationState val);

Gets the nickname string for the QmiNasRegistrationState specified at `val` .

#### Parameters

val | a QmiNasRegistrationState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_attach_state_get_string ()

    const gchar *
    qmi_nas_attach_state_get_string (QmiNasAttachState val);

Gets the nickname string for the QmiNasAttachState specified at `val` .

#### Parameters

val | a QmiNasAttachState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_network_type_get_string ()

    const gchar *
    qmi_nas_network_type_get_string (QmiNasNetworkType val);

Gets the nickname string for the QmiNasNetworkType specified at `val` .

#### Parameters

val | a QmiNasNetworkType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_roaming_indicator_status_get_string ()

    const gchar *
    qmi_nas_roaming_indicator_status_get_string
                                   (QmiNasRoamingIndicatorStatus val);

Gets the nickname string for the QmiNasRoamingIndicatorStatus specified at `val` .

#### Parameters

val | a QmiNasRoamingIndicatorStatus. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_data_capability_get_string ()

    const gchar *
    qmi_nas_data_capability_get_string (QmiNasDataCapability val);

Gets the nickname string for the QmiNasDataCapability specified at `val` .

#### Parameters

val | a QmiNasDataCapability. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_service_status_get_string ()

    const gchar *
    qmi_nas_service_status_get_string (QmiNasServiceStatus val);

Gets the nickname string for the QmiNasServiceStatus specified at `val` .

#### Parameters

val | a QmiNasServiceStatus. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_hdr_personality_get_string ()

    const gchar *
    qmi_nas_hdr_personality_get_string (QmiNasHdrPersonality val);

Gets the nickname string for the QmiNasHdrPersonality specified at `val` .

#### Parameters

val | a QmiNasHdrPersonality. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_call_barring_status_get_string ()

    const gchar *
    qmi_nas_call_barring_status_get_string
                                   (QmiNasCallBarringStatus val);

Gets the nickname string for the QmiNasCallBarringStatus specified at `val` .

#### Parameters

val | a QmiNasCallBarringStatus. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_network_description_display_get_string ()

    const gchar *
    qmi_nas_network_description_display_get_string
                                   (QmiNasNetworkDescriptionDisplay val);

Gets the nickname string for the QmiNasNetworkDescriptionDisplay specified at `val` .

#### Parameters

val | a QmiNasNetworkDescriptionDisplay. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_network_description_encoding_get_string ()

    const gchar *
    qmi_nas_network_description_encoding_get_string
                                   (QmiNasNetworkDescriptionEncoding val);

Gets the nickname string for the QmiNasNetworkDescriptionEncoding specified at `val` .

#### Parameters

val | a QmiNasNetworkDescriptionEncoding. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_radio_technology_preference_build_string_from_mask ()

    gchar *
    qmi_nas_radio_technology_preference_build_string_from_mask
                                   (QmiNasRadioTechnologyPreference mask);

Builds a string containing a comma-separated list of nicknames for each QmiNasRadioTechnologyPreference in `mask` .

#### Parameters

mask | bitmask of QmiNasRadioTechnologyPreference values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.0

### qmi_nas_preference_duration_get_string ()

    const gchar *
    qmi_nas_preference_duration_get_string
                                   (QmiNasPreferenceDuration val);

Gets the nickname string for the QmiNasPreferenceDuration specified at `val` .

#### Parameters

val | a QmiNasPreferenceDuration. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_ps_attach_action_get_string ()

    const gchar *
    qmi_nas_ps_attach_action_get_string (QmiNasPsAttachAction val);

Gets the nickname string for the QmiNasPsAttachAction specified at `val` .

#### Parameters

val | a QmiNasPsAttachAction. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.20

### qmi_nas_rat_mode_preference_build_string_from_mask ()

    gchar *
    qmi_nas_rat_mode_preference_build_string_from_mask
                                   (QmiNasRatModePreference mask);

Builds a string containing a comma-separated list of nicknames for each QmiNasRatModePreference in `mask` .

#### Parameters

mask | bitmask of QmiNasRatModePreference values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.0

### qmi_nas_cdma_prl_preference_get_string ()

    const gchar *
    qmi_nas_cdma_prl_preference_get_string
                                   (QmiNasCdmaPrlPreference val);

Gets the nickname string for the QmiNasCdmaPrlPreference specified at `val` .

#### Parameters

val | a QmiNasCdmaPrlPreference. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_roaming_preference_get_string ()

    const gchar *
    qmi_nas_roaming_preference_get_string (QmiNasRoamingPreference val);

Gets the nickname string for the QmiNasRoamingPreference specified at `val` .

#### Parameters

val | a QmiNasRoamingPreference. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_network_selection_preference_get_string ()

    const gchar *
    qmi_nas_network_selection_preference_get_string
                                   (QmiNasNetworkSelectionPreference val);

Gets the nickname string for the QmiNasNetworkSelectionPreference specified at `val` .

#### Parameters

val | a QmiNasNetworkSelectionPreference. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_change_duration_get_string ()

    const gchar *
    qmi_nas_change_duration_get_string (QmiNasChangeDuration val);

Gets the nickname string for the QmiNasChangeDuration specified at `val` .

#### Parameters

val | a QmiNasChangeDuration. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_service_domain_preference_get_string ()

    const gchar *
    qmi_nas_service_domain_preference_get_string
                                   (QmiNasServiceDomainPreference val);

Gets the nickname string for the QmiNasServiceDomainPreference specified at `val` .

#### Parameters

val | a QmiNasServiceDomainPreference. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_gsm_wcdma_acquisition_order_preference_get_string ()

    const gchar *
    qmi_nas_gsm_wcdma_acquisition_order_preference_get_string
                                   (QmiNasGsmWcdmaAcquisitionOrderPreference val);

Gets the nickname string for the QmiNasGsmWcdmaAcquisitionOrderPreference specified at `val` .

#### Parameters

val | a QmiNasGsmWcdmaAcquisitionOrderPreference. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_band_preference_build_string_from_mask ()

    gchar *
    qmi_nas_band_preference_build_string_from_mask
                                   (QmiNasBandPreference mask);

Builds a string containing a comma-separated list of nicknames for each QmiNasBandPreference in `mask` .

#### Parameters

mask | bitmask of QmiNasBandPreference values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.0

### qmi_nas_lte_band_preference_build_string_from_mask ()

    gchar *
    qmi_nas_lte_band_preference_build_string_from_mask
                                   (QmiNasLteBandPreference mask);

Builds a string containing a comma-separated list of nicknames for each QmiNasLteBandPreference in `mask` .

#### Parameters

mask | bitmask of QmiNasLteBandPreference values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.0

### qmi_nas_td_scdma_band_preference_build_string_from_mask ()

    gchar *
    qmi_nas_td_scdma_band_preference_build_string_from_mask
                                   (QmiNasTdScdmaBandPreference mask);

Builds a string containing a comma-separated list of nicknames for each QmiNasTdScdmaBandPreference in `mask` .

#### Parameters

mask | bitmask of QmiNasTdScdmaBandPreference values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.0

### qmi_nas_roaming_status_get_string ()

    const gchar *
    qmi_nas_roaming_status_get_string (QmiNasRoamingStatus val);

Gets the nickname string for the QmiNasRoamingStatus specified at `val` .

#### Parameters

val | a QmiNasRoamingStatus. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_hdr_protocol_revision_get_string ()

    const gchar *
    qmi_nas_hdr_protocol_revision_get_string
                                   (QmiNasHdrProtocolRevision val);

Gets the nickname string for the QmiNasHdrProtocolRevision specified at `val` .

#### Parameters

val | a QmiNasHdrProtocolRevision. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_wcdma_hs_service_get_string ()

    const gchar *
    qmi_nas_wcdma_hs_service_get_string (QmiNasWcdmaHsService val);

Gets the nickname string for the QmiNasWcdmaHsService specified at `val` .

#### Parameters

val | a QmiNasWcdmaHsService. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_cell_broadcast_capability_get_string ()

    const gchar *
    qmi_nas_cell_broadcast_capability_get_string
                                   (QmiNasCellBroadcastCapability val);

Gets the nickname string for the QmiNasCellBroadcastCapability specified at `val` .

#### Parameters

val | a QmiNasCellBroadcastCapability. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_sim_reject_state_get_string ()

    const gchar *
    qmi_nas_sim_reject_state_get_string (QmiNasSimRejectState val);

Gets the nickname string for the QmiNasSimRejectState specified at `val` .

#### Parameters

val | a QmiNasSimRejectState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_cdma_pilot_type_get_string ()

    const gchar *
    qmi_nas_cdma_pilot_type_get_string (QmiNasCdmaPilotType val);

Gets the nickname string for the QmiNasCdmaPilotType specified at `val` .

#### Parameters

val | a QmiNasCdmaPilotType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_nas_day_of_week_get_string ()

    const gchar *
    qmi_nas_day_of_week_get_string (QmiNasDayOfWeek val);

Gets the nickname string for the QmiNasDayOfWeek specified at `val` .

#### Parameters

val | a QmiNasDayOfWeek. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.4

### qmi_nas_daylight_savings_adjustment_get_string ()

    const gchar *
    qmi_nas_daylight_savings_adjustment_get_string
                                   (QmiNasDaylightSavingsAdjustment val);

Gets the nickname string for the QmiNasDaylightSavingsAdjustment specified at `val` .

#### Parameters

val | a QmiNasDaylightSavingsAdjustment. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.4

### qmi_nas_wcdma_rrc_state_get_string ()

    const gchar *
    qmi_nas_wcdma_rrc_state_get_string (QmiNasWcdmaRrcState val);

Gets the nickname string for the QmiNasWcdmaRrcState specified at `val` .

#### Parameters

val | a QmiNasWcdmaRrcState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.10

### qmi_nas_dl_bandwidth_get_string ()

    const gchar *
    qmi_nas_dl_bandwidth_get_string (QmiNasDLBandwidth val);

Gets the nickname string for the QmiNasDLBandwidth specified at `val` .

#### Parameters

val | a QmiNasDLBandwidth. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.16

### qmi_nas_scell_state_get_string ()

    const gchar *
    qmi_nas_scell_state_get_string (QmiNasScellState val);

Gets the nickname string for the QmiNasScellState specified at `val` .

#### Parameters

val | a QmiNasScellState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.16

### qmi_nas_network_name_display_condition_build_string_from_mask ()

    gchar *
    qmi_nas_network_name_display_condition_build_string_from_mask
                                   (QmiNasNetworkNameDisplayCondition mask);

Builds a string containing a comma-separated list of nicknames for each QmiNasNetworkNameDisplayCondition in `mask` .

#### Parameters

mask | bitmask of QmiNasNetworkNameDisplayCondition values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

### qmi_nas_plmn_encoding_scheme_get_string ()

    const gchar *
    qmi_nas_plmn_encoding_scheme_get_string
                                   (QmiNasPlmnEncodingScheme val);

Gets the nickname string for the QmiNasPlmnEncodingScheme specified at `val` .

#### Parameters

val | a QmiNasPlmnEncodingScheme. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_nas_plmn_name_country_initials_get_string ()

    const gchar *
    qmi_nas_plmn_name_country_initials_get_string
                                   (QmiNasPlmnNameCountryInitials val);

Gets the nickname string for the QmiNasPlmnNameCountryInitials specified at `val` .

#### Parameters

val | a QmiNasPlmnNameCountryInitials. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

### qmi_nas_plmn_name_spare_bits_get_string ()

    const gchar *
    qmi_nas_plmn_name_spare_bits_get_string
                                   (QmiNasPlmnNameSpareBits val);

Gets the nickname string for the QmiNasPlmnNameSpareBits specified at `val` .

#### Parameters

val | a QmiNasPlmnNameSpareBits. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

## Types and Values

### enum QmiNasRadioInterface

Radio interface technology.

#### Members

QMI_NAS_RADIO_INTERFACE_UNKNOWN | Not known or not needed. |
QMI_NAS_RADIO_INTERFACE_NONE | None, no service. |
QMI_NAS_RADIO_INTERFACE_CDMA_1X | CDMA2000 1X. |
QMI_NAS_RADIO_INTERFACE_CDMA_1XEVDO | CDMA2000 HRPD (1xEV-DO). |
QMI_NAS_RADIO_INTERFACE_AMPS | AMPS. |
QMI_NAS_RADIO_INTERFACE_GSM | GSM. |
QMI_NAS_RADIO_INTERFACE_UMTS | UMTS. |
QMI_NAS_RADIO_INTERFACE_LTE | LTE. |
QMI_NAS_RADIO_INTERFACE_TD_SCDMA | TD-SCDMA. |

Since: 1.0

### enum QmiNasActiveBand

Band classes.

#### Members

QMI_NAS_ACTIVE_BAND_BC_0 | Band class 0. |
QMI_NAS_ACTIVE_BAND_BC_1 | Band class 1. |
QMI_NAS_ACTIVE_BAND_BC_2 | Band class 2. |
QMI_NAS_ACTIVE_BAND_BC_3 | Band class 3. |
QMI_NAS_ACTIVE_BAND_BC_4 | Band class 4. |
QMI_NAS_ACTIVE_BAND_BC_5 | Band class 5. |
QMI_NAS_ACTIVE_BAND_BC_6 | Band class 6. |
QMI_NAS_ACTIVE_BAND_BC_7 | Band class 7. |
QMI_NAS_ACTIVE_BAND_BC_8 | Band class 8. |
QMI_NAS_ACTIVE_BAND_BC_9 | Band class 9. |
QMI_NAS_ACTIVE_BAND_BC_10 | Band class 10. |
QMI_NAS_ACTIVE_BAND_BC_11 | Band class 11. |
QMI_NAS_ACTIVE_BAND_BC_12 | Band class 12. |
QMI_NAS_ACTIVE_BAND_BC_13 | Band class 13. |
QMI_NAS_ACTIVE_BAND_BC_14 | Band class 14. |
QMI_NAS_ACTIVE_BAND_BC_15 | Band class 15. |
QMI_NAS_ACTIVE_BAND_BC_16 | Band class 16. |
QMI_NAS_ACTIVE_BAND_BC_17 | Band class 17. |
QMI_NAS_ACTIVE_BAND_BC_18 | Band class 18. |
QMI_NAS_ACTIVE_BAND_BC_19 | Band class 19. |
QMI_NAS_ACTIVE_BAND_GSM_450 | GSM 450. |
QMI_NAS_ACTIVE_BAND_GSM_480 | GSM 480. |
QMI_NAS_ACTIVE_BAND_GSM_750 | GSM 750. |
QMI_NAS_ACTIVE_BAND_GSM_850 | GSM 850. |
QMI_NAS_ACTIVE_BAND_GSM_900_EXTENDED | GSM 900 (Extended). |
QMI_NAS_ACTIVE_BAND_GSM_900_PRIMARY | GSM 900 (Primary). |
QMI_NAS_ACTIVE_BAND_GSM_900_RAILWAYS | GSM 900 (Railways). |
QMI_NAS_ACTIVE_BAND_GSM_DCS_1800 | GSM 1800. |
QMI_NAS_ACTIVE_BAND_GSM_PCS_1900 | GSM 1900. |
QMI_NAS_ACTIVE_BAND_WCDMA_2100 | WCDMA 2100. |
QMI_NAS_ACTIVE_BAND_WCDMA_PCS_1900 | WCDMA PCS 1900. |
QMI_NAS_ACTIVE_BAND_WCDMA_DCS_1800 | WCDMA DCS 1800. |
QMI_NAS_ACTIVE_BAND_WCDMA_1700_US | WCDMA 1700 (U.S.). |
QMI_NAS_ACTIVE_BAND_WCDMA_850 | WCDMA 850. |
QMI_NAS_ACTIVE_BAND_WCDMA_800 | WCDMA 800. |
QMI_NAS_ACTIVE_BAND_WCDMA_2600 | WCDMA 2600. |
QMI_NAS_ACTIVE_BAND_WCDMA_900 | WCDMA 900. |
QMI_NAS_ACTIVE_BAND_WCDMA_1700_JAPAN | WCDMA 1700 (Japan). |
QMI_NAS_ACTIVE_BAND_WCDMA_1500_JAPAN | WCDMA 1500 (Japan). |
QMI_NAS_ACTIVE_BAND_WCDMA_850_JAPAN | WCDMA 850 (Japan). |
QMI_NAS_ACTIVE_BAND_EUTRAN_1 | EUTRAN band 1. |
QMI_NAS_ACTIVE_BAND_EUTRAN_2 | EUTRAN band 2. |
QMI_NAS_ACTIVE_BAND_EUTRAN_3 | EUTRAN band 3. |
QMI_NAS_ACTIVE_BAND_EUTRAN_4 | EUTRAN band 4. |
QMI_NAS_ACTIVE_BAND_EUTRAN_5 | EUTRAN band 5. |
QMI_NAS_ACTIVE_BAND_EUTRAN_6 | EUTRAN band 6. |
QMI_NAS_ACTIVE_BAND_EUTRAN_7 | EUTRAN band 7. |
QMI_NAS_ACTIVE_BAND_EUTRAN_8 | EUTRAN band 8. |
QMI_NAS_ACTIVE_BAND_EUTRAN_9 | EUTRAN band 9. |
QMI_NAS_ACTIVE_BAND_EUTRAN_10 | EUTRAN band 10. |
QMI_NAS_ACTIVE_BAND_EUTRAN_11 | EUTRAN band 11. |
QMI_NAS_ACTIVE_BAND_EUTRAN_12 | EUTRAN band 12. |
QMI_NAS_ACTIVE_BAND_EUTRAN_13 | EUTRAN band 13. |
QMI_NAS_ACTIVE_BAND_EUTRAN_14 | EUTRAN band 14. |
QMI_NAS_ACTIVE_BAND_EUTRAN_17 | EUTRAN band 17. |
QMI_NAS_ACTIVE_BAND_EUTRAN_18 | EUTRAN band 18. |
QMI_NAS_ACTIVE_BAND_EUTRAN_19 | EUTRAN band 19. |
QMI_NAS_ACTIVE_BAND_EUTRAN_20 | EUTRAN band 20. |
QMI_NAS_ACTIVE_BAND_EUTRAN_21 | EUTRAN band 21. |
QMI_NAS_ACTIVE_BAND_EUTRAN_23 | EUTRAN band 23. |
QMI_NAS_ACTIVE_BAND_EUTRAN_24 | EUTRAN band 24. |
QMI_NAS_ACTIVE_BAND_EUTRAN_25 | EUTRAN band 25. |
QMI_NAS_ACTIVE_BAND_EUTRAN_26 | EUTRAN band 26. |
QMI_NAS_ACTIVE_BAND_EUTRAN_28 | EUTRAN band 28. |
QMI_NAS_ACTIVE_BAND_EUTRAN_29 | EUTRAN band 29. |
QMI_NAS_ACTIVE_BAND_EUTRAN_30 | EUTRAN band 30. |
QMI_NAS_ACTIVE_BAND_EUTRAN_32 | EUTRAN band 32. |
QMI_NAS_ACTIVE_BAND_EUTRAN_33 | EUTRAN band 33. |
QMI_NAS_ACTIVE_BAND_EUTRAN_34 | EUTRAN band 34. |
QMI_NAS_ACTIVE_BAND_EUTRAN_35 | EUTRAN band 35. |
QMI_NAS_ACTIVE_BAND_EUTRAN_36 | EUTRAN band 36. |
QMI_NAS_ACTIVE_BAND_EUTRAN_37 | EUTRAN band 37. |
QMI_NAS_ACTIVE_BAND_EUTRAN_38 | EUTRAN band 38. |
QMI_NAS_ACTIVE_BAND_EUTRAN_39 | EUTRAN band 39. |
QMI_NAS_ACTIVE_BAND_EUTRAN_40 | EUTRAN band 40. |
QMI_NAS_ACTIVE_BAND_EUTRAN_41 | EUTRAN band 41. |
QMI_NAS_ACTIVE_BAND_EUTRAN_42 | EUTRAN band 42. |
QMI_NAS_ACTIVE_BAND_EUTRAN_43 | EUTRAN band 43. |
QMI_NAS_ACTIVE_BAND_EUTRAN_46 | EUTRAN band 46. |
QMI_NAS_ACTIVE_BAND_EUTRAN_66 | EUTRAN band 66. |
QMI_NAS_ACTIVE_BAND_EUTRAN_125 | EUTRAN band 125. |
QMI_NAS_ACTIVE_BAND_EUTRAN_126 | EUTRAN band 126. |
QMI_NAS_ACTIVE_BAND_EUTRAN_127 | EUTRAN band 127. |
QMI_NAS_ACTIVE_BAND_EUTRAN_250 | EUTRAN band 250. |
QMI_NAS_ACTIVE_BAND_TDSCDMA_A | TD-SCDMA Band A. |
QMI_NAS_ACTIVE_BAND_TDSCDMA_B | TD-SCDMA Band B. |
QMI_NAS_ACTIVE_BAND_TDSCDMA_C | TD-SCDMA Band C. |
QMI_NAS_ACTIVE_BAND_TDSCDMA_D | TD-SCDMA Band D. |
QMI_NAS_ACTIVE_BAND_TDSCDMA_E | TD-SCDMA Band E. |
QMI_NAS_ACTIVE_BAND_TDSCDMA_F | TD-SCDMA Band F. |

Since: 1.0

### enum QmiNasNetworkServiceDomain

Network Service Domain.

#### Members

QMI_NAS_NETWORK_SERVICE_DOMAIN_NONE | No service. |
QMI_NAS_NETWORK_SERVICE_DOMAIN_CS | Circuit switched. |
QMI_NAS_NETWORK_SERVICE_DOMAIN_PS | Packet switched. |
QMI_NAS_NETWORK_SERVICE_DOMAIN_CS_PS | Circuit and packet switched. |
QMI_NAS_NETWORK_SERVICE_DOMAIN_UNKNOWN | Unknown service. |

Since: 1.0

### enum QmiNasEvdoSinrLevel

EV-DO SINR level.

#### Members

QMI_NAS_EVDO_SINR_LEVEL_0 | -9 dB. |
QMI_NAS_EVDO_SINR_LEVEL_1 | -6 dB. |
QMI_NAS_EVDO_SINR_LEVEL_2 | -4.5 dB. |
QMI_NAS_EVDO_SINR_LEVEL_3 | -3 dB. |
QMI_NAS_EVDO_SINR_LEVEL_4 | -2 dB. |
QMI_NAS_EVDO_SINR_LEVEL_5 | +1 dB. |
QMI_NAS_EVDO_SINR_LEVEL_6 | +3 dB. |
QMI_NAS_EVDO_SINR_LEVEL_7 | +6 dB. |
QMI_NAS_EVDO_SINR_LEVEL_8 | +9 dB. |

Since: 1.0

### enum QmiNasSignalStrengthRequest

Extra information to request when gathering Signal Strength.

#### Members

QMI_NAS_SIGNAL_STRENGTH_REQUEST_NONE | None. |
QMI_NAS_SIGNAL_STRENGTH_REQUEST_RSSI | Request RSSI information. |
QMI_NAS_SIGNAL_STRENGTH_REQUEST_ECIO | Request ECIO information. |
QMI_NAS_SIGNAL_STRENGTH_REQUEST_IO | Request IO information. |
QMI_NAS_SIGNAL_STRENGTH_REQUEST_SINR | Request SINR information. |
QMI_NAS_SIGNAL_STRENGTH_REQUEST_ERROR_RATE | Request error rate information. |
QMI_NAS_SIGNAL_STRENGTH_REQUEST_RSRQ | Request RSRQ information. |
QMI_NAS_SIGNAL_STRENGTH_REQUEST_LTE_SNR | Request LTE SNR information. |
QMI_NAS_SIGNAL_STRENGTH_REQUEST_LTE_RSRP | Request LTE RSRP information. |

Since: 1.0

### enum QmiNasNetworkScanType

Flags to use when specifying which networks to scan.

#### Members

QMI_NAS_NETWORK_SCAN_TYPE_GSM | GSM network. |
QMI_NAS_NETWORK_SCAN_TYPE_UMTS | UMTS network. |
QMI_NAS_NETWORK_SCAN_TYPE_LTE | LTE network. |
QMI_NAS_NETWORK_SCAN_TYPE_TD_SCDMA | TD-SCDMA network. |

Since: 1.0

### enum QmiNasNetworkStatus

Flags to specify the status of a given network.

#### Members

QMI_NAS_NETWORK_STATUS_CURRENT_SERVING | Network is in use, current serving. |
QMI_NAS_NETWORK_STATUS_AVAILABLE | Network is vailable. |
QMI_NAS_NETWORK_STATUS_HOME | Network is home network. |
QMI_NAS_NETWORK_STATUS_ROAMING | Network is a roaming network. |
QMI_NAS_NETWORK_STATUS_FORBIDDEN | Network is forbidden. |
QMI_NAS_NETWORK_STATUS_NOT_FORBIDDEN | Network is not forbidden. |
QMI_NAS_NETWORK_STATUS_PREFERRED | Network is preferred. |
QMI_NAS_NETWORK_STATUS_NOT_PREFERRED | Network is not preferred. |

Since: 1.0

### enum QmiNasNetworkRegisterType

Type of network registration.

#### Members

QMI_NAS_NETWORK_REGISTER_TYPE_AUTOMATIC | Automatic network registration. |
QMI_NAS_NETWORK_REGISTER_TYPE_MANUAL | Manual network registration. |

Since: 1.0

### enum QmiNasRegistrationState

Status of the network registration.

#### Members

QMI_NAS_REGISTRATION_STATE_NOT_REGISTERED | Not registered. |
QMI_NAS_REGISTRATION_STATE_REGISTERED | Registered. |
QMI_NAS_REGISTRATION_STATE_NOT_REGISTERED_SEARCHING | Searching. |
QMI_NAS_REGISTRATION_STATE_REGISTRATION_DENIED | Registration denied. |
QMI_NAS_REGISTRATION_STATE_UNKNOWN | Unknown. |

Since: 1.0

### enum QmiNasAttachState

Domain attach state.

#### Members

QMI_NAS_ATTACH_STATE_UNKNOWN | Unknown attach state. |
QMI_NAS_ATTACH_STATE_ATTACHED | Attached. |
QMI_NAS_ATTACH_STATE_DETACHED | Detached. |

Since: 1.0

### enum QmiNasNetworkType

Type of network.

#### Members

QMI_NAS_NETWORK_TYPE_UNKNOWN | Unknown. |
QMI_NAS_NETWORK_TYPE_3GPP2 | 3GPP2 network. |
QMI_NAS_NETWORK_TYPE_3GPP | 3GPP network. |

Since: 1.0

### enum QmiNasRoamingIndicatorStatus

Status of the roaming indication.

#### Members

QMI_NAS_ROAMING_INDICATOR_STATUS_ON | Roaming. |
QMI_NAS_ROAMING_INDICATOR_STATUS_OFF | Home. |

Since: 1.0

### enum QmiNasDataCapability

Data capability of the network.

#### Members

QMI_NAS_DATA_CAPABILITY_NONE | None or unknown. |
QMI_NAS_DATA_CAPABILITY_GPRS | GPRS. |
QMI_NAS_DATA_CAPABILITY_EDGE | EDGE. |
QMI_NAS_DATA_CAPABILITY_HSDPA | HSDPA. |
QMI_NAS_DATA_CAPABILITY_HSUPA | HSUPA. |
QMI_NAS_DATA_CAPABILITY_WCDMA | WCDMA. |
QMI_NAS_DATA_CAPABILITY_CDMA | CDMA. |
QMI_NAS_DATA_CAPABILITY_EVDO_REV_0 | EV-DO revision 0. |
QMI_NAS_DATA_CAPABILITY_EVDO_REV_A | EV-DO revision A. |
QMI_NAS_DATA_CAPABILITY_GSM | GSM. |
QMI_NAS_DATA_CAPABILITY_EVDO_REV_B | EV-DO revision B. |
QMI_NAS_DATA_CAPABILITY_LTE | LTE. |
QMI_NAS_DATA_CAPABILITY_HSDPA_PLUS | HSDPA+. |
QMI_NAS_DATA_CAPABILITY_DC_HSDPA_PLUS | DC-HSDPA+. |

Since: 1.0

### enum QmiNasServiceStatus

Status of the service.

#### Members

QMI_NAS_SERVICE_STATUS_NONE | No service. |
QMI_NAS_SERVICE_STATUS_LIMITED | Limited service. |
QMI_NAS_SERVICE_STATUS_AVAILABLE | Service available. |
QMI_NAS_SERVICE_STATUS_LIMITED_REGIONAL | Limited regional service. |
QMI_NAS_SERVICE_STATUS_POWER_SAVE | Device in power save mode. |

Since: 1.0

### enum QmiNasHdrPersonality

HDR personality type.

#### Members

QMI_NAS_HDR_PERSONALITY_UNKNOWN | Unknown. |
QMI_NAS_HDR_PERSONALITY_HRPD | HRPD. |
QMI_NAS_HDR_PERSONALITY_EHRPD | eHRPD. |

Since: 1.0

### enum QmiNasCallBarringStatus

Status of the call barring functionality.

#### Members

QMI_NAS_CALL_BARRING_STATUS_NORMAL_ONLY | Normal calls only. |
QMI_NAS_CALL_BARRING_STATUS_EMERGENCY_ONLY | Emergency calls only. |
QMI_NAS_CALL_BARRING_STATUS_NO_CALLS | No calls allowed. |
QMI_NAS_CALL_BARRING_STATUS_ALL_CALLS | All calls allowed. |
QMI_NAS_CALL_BARRING_STATUS_UNKNOWN | Unknown. |

Since: 1.0

### enum QmiNasNetworkDescriptionDisplay

Setup to define whether the network description should be displayed.

#### Members

QMI_NAS_NETWORK_DESCRIPTION_DISPLAY_NO | Don't display. |
QMI_NAS_NETWORK_DESCRIPTION_DISPLAY_YES | Display. |
QMI_NAS_NETWORK_DESCRIPTION_DISPLAY_UNKNOWN | Unknown. |

Since: 1.0

### enum QmiNasNetworkDescriptionEncoding

Type of encoding used in the network description.

#### Members

QMI_NAS_NETWORK_DESCRIPTION_ENCODING_UNSPECIFIED | Unspecified. |
QMI_NAS_NETWORK_DESCRIPTION_ENCODING_ASCII7 | ASCII-7. |
QMI_NAS_NETWORK_DESCRIPTION_ENCODING_UNICODE | Unicode. |
QMI_NAS_NETWORK_DESCRIPTION_ENCODING_GSM | GSM 7-bit. |

Since: 1.0

### enum QmiNasRadioTechnologyPreference

Flags to specify the radio technology preference.

#### Members

QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_AUTO | Automatic selection. |
QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_3GPP2 | 3GPP2 technology. |
QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_3GPP | 3GPP technology. |
QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_AMPS_OR_GSM | AMPS if 3GPP2, GSM if 3GPP. |
QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_CDMA_OR_WCDMA | CDMA if 3GPP2, WCDMA if 3GPP. |
QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_HDR | CDMA EV-DO. |
QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_LTE | LTE. |

Since: 1.0

### enum QmiNasPreferenceDuration

Duration of the preference setting.

#### Members

QMI_NAS_PREFERENCE_DURATION_PERMANENT | Permanent. |
QMI_NAS_PREFERENCE_DURATION_POWER_CYCLE | Until the next power cycle. |
QMI_NAS_PREFERENCE_DURATION_ONE_CALL | Until end of call. |
QMI_NAS_PREFERENCE_DURATION_ONE_CALL_OR_TIME | Until end of call or a specified time. |
QMI_NAS_PREFERENCE_DURATION_INTERNAL_ONE_CALL_1 | Internal reason 1, one call. |
QMI_NAS_PREFERENCE_DURATION_INTERNAL_ONE_CALL_2 | Internal reason 2, one call. |
QMI_NAS_PREFERENCE_DURATION_INTERNAL_ONE_CALL_3 | Internal reason 3, one call. |

Since: 1.0

### enum QmiNasPsAttachAction

Packet Switched domain attach/detach action.

#### Members

QMI_NAS_PS_ATTACH_ACTION_ATTACH | Attach the PS domain. |
QMI_NAS_PS_ATTACH_ACTION_DETACH | Detach the PS domain. |

Since: 1.20

### enum QmiNasRatModePreference

Flags specifying radio access technology mode preference.

#### Members

QMI_NAS_RAT_MODE_PREFERENCE_CDMA_1X | CDMA2000 1X. |
QMI_NAS_RAT_MODE_PREFERENCE_CDMA_1XEVDO | CDMA2000 HRPD (1xEV-DO). |
QMI_NAS_RAT_MODE_PREFERENCE_GSM | GSM. |
QMI_NAS_RAT_MODE_PREFERENCE_UMTS | UMTS. |
QMI_NAS_RAT_MODE_PREFERENCE_LTE | LTE. |
QMI_NAS_RAT_MODE_PREFERENCE_TD_SCDMA | TD-SCDMA. |

Since: 1.0

### enum QmiNasCdmaPrlPreference

Flags specifying the preference when using CDMA Band Class 0.

#### Members

QMI_NAS_CDMA_PRL_PREFERENCE_A_SIDE_ONLY | System A only. |
QMI_NAS_CDMA_PRL_PREFERENCE_B_SIDE_ONLY | System B only. |
QMI_NAS_CDMA_PRL_PREFERENCE_ANY | Any system. |

Since: 1.0

### enum QmiNasRoamingPreference

Roaming preference.

#### Members

QMI_NAS_ROAMING_PREFERENCE_OFF | Only non-roaming networks. |
QMI_NAS_ROAMING_PREFERENCE_NOT_OFF | Only roaming networks. |
QMI_NAS_ROAMING_PREFERENCE_NOT_FLASHING | Only non-roaming networks or not flashing. |
QMI_NAS_ROAMING_PREFERENCE_ANY | Don't filter by roaming when acquiring networks. |

Since: 1.0

### enum QmiNasNetworkSelectionPreference

Network selection preference.

#### Members

QMI_NAS_NETWORK_SELECTION_PREFERENCE_AUTOMATIC | Automatic. |
QMI_NAS_NETWORK_SELECTION_PREFERENCE_MANUAL | Manual. |

Since: 1.0

### enum QmiNasChangeDuration

Duration of the change setting.

#### Members

QMI_NAS_CHANGE_DURATION_POWER_CYCLE | Until the next power cycle. |
QMI_NAS_CHANGE_DURATION_PERMANENT | Permanent. |

Since: 1.0

### enum QmiNasServiceDomainPreference

Service domain preference.

#### Members

QMI_NAS_SERVICE_DOMAIN_PREFERENCE_CS_ONLY | Circuit-switched only. |
QMI_NAS_SERVICE_DOMAIN_PREFERENCE_PS_ONLY | Packet-switched only. |
QMI_NAS_SERVICE_DOMAIN_PREFERENCE_CS_PS | Circuit-switched and packet-switched. |
QMI_NAS_SERVICE_DOMAIN_PREFERENCE_PS_ATTACH | Packet-switched attach. |
QMI_NAS_SERVICE_DOMAIN_PREFERENCE_PS_DETACH | Packet-switched dettach. |

Since: 1.0

### enum QmiNasGsmWcdmaAcquisitionOrderPreference

GSM/WCDMA acquisition order preference.

#### Members

QMI_NAS_GSM_WCDMA_ACQUISITION_ORDER_PREFERENCE_AUTOMATIC | Automatic. |
QMI_NAS_GSM_WCDMA_ACQUISITION_ORDER_PREFERENCE_GSM | GSM first, then WCDMA. |
QMI_NAS_GSM_WCDMA_ACQUISITION_ORDER_PREFERENCE_WCDMA | WCDMA first, then GSM. |

Since: 1.0

### enum QmiNasBandPreference

Flags to specify frequency band preferences.

#### Members

QMI_NAS_BAND_PREFERENCE_BC_0_A_SYSTEM | Band class 0, A system. |
QMI_NAS_BAND_PREFERENCE_BC_0_B_SYSTEM | Band class 0, B system. |
QMI_NAS_BAND_PREFERENCE_BC_1_ALL_BLOCKS | Band class 1. |
QMI_NAS_BAND_PREFERENCE_BC_2 | Band class 2. |
QMI_NAS_BAND_PREFERENCE_BC_3_A_SYSTEM | Band class 3, A system. |
QMI_NAS_BAND_PREFERENCE_BC_4_ALL_BLOCKS | Band class 4, all blocks. |
QMI_NAS_BAND_PREFERENCE_BC_5_ALL_BLOCKS | Band class 5, all blocks. |
QMI_NAS_BAND_PREFERENCE_GSM_DCS_1800 | GSM DCS 1800 band. |
QMI_NAS_BAND_PREFERENCE_GSM_900_EXTENDED | Extended GSM 900 band. |
QMI_NAS_BAND_PREFERENCE_GSM_900_PRIMARY | Primary GSM 900 band. |
QMI_NAS_BAND_PREFERENCE_BC_6 | Band class 6. |
QMI_NAS_BAND_PREFERENCE_BC_7 | Band class 7. |
QMI_NAS_BAND_PREFERENCE_BC_8 | Band class 8. |
QMI_NAS_BAND_PREFERENCE_BC_9 | Band class 9. |
QMI_NAS_BAND_PREFERENCE_BC_10 | Band class 10. |
QMI_NAS_BAND_PREFERENCE_BC_11 | Band class 11. |
QMI_NAS_BAND_PREFERENCE_GSM_450 | GSM 450. |
QMI_NAS_BAND_PREFERENCE_GSM_480 | GSM 480. |
QMI_NAS_BAND_PREFERENCE_GSM_750 | GSM 750. |
QMI_NAS_BAND_PREFERENCE_GSM_850 | GSM 850. |
QMI_NAS_BAND_PREFERENCE_GSM_900_RAILWAYS | GSM 900 (Railways). |
QMI_NAS_BAND_PREFERENCE_GSM_PCS_1900 | GSM 1900. |
QMI_NAS_BAND_PREFERENCE_WCDMA_2100 | WCDMA 2100. |
QMI_NAS_BAND_PREFERENCE_WCDMA_PCS_1900 | WCDMA PCS 1900. |
QMI_NAS_BAND_PREFERENCE_WCDMA_DCS_1800 | WCDMA DCS 1800. |
QMI_NAS_BAND_PREFERENCE_WCDMA_1700_US | WCDMA 1700 (U.S.). |
QMI_NAS_BAND_PREFERENCE_WCDMA_850_US | WCDMA 850. |
QMI_NAS_BAND_PREFERENCE_WCDMA_800 | WCDMA 800. |
QMI_NAS_BAND_PREFERENCE_BC_12 | Band class 12. |
QMI_NAS_BAND_PREFERENCE_BC_14 | Band class 14. |
QMI_NAS_BAND_PREFERENCE_BC_15 | Band class 15. |
QMI_NAS_BAND_PREFERENCE_WCDMA_2600 | WCDMA 2600. |
QMI_NAS_BAND_PREFERENCE_WCDMA_900 | WCDMA 900. |
QMI_NAS_BAND_PREFERENCE_WCDMA_1700_JAPAN | WCDMA 1700 (Japan). |
QMI_NAS_BAND_PREFERENCE_BC_16 | Band class 16. |
QMI_NAS_BAND_PREFERENCE_BC_17 | Band class 17. |
QMI_NAS_BAND_PREFERENCE_BC_18 | Band class 18. |
QMI_NAS_BAND_PREFERENCE_BC_19 | Band class 19. |
QMI_NAS_BAND_PREFERENCE_WCDMA_850_JAPAN | WCDMA 850 (Japan). Since: 1.22. |
QMI_NAS_BAND_PREFERENCE_WCDMA_1500 | WCDMA 1500. Since: 1.22. |

Since: 1.0

### enum QmiNasLteBandPreference

Flags to specify LTE-specific frequency band preferences.

#### Members

QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_1 | LTE EUTRAN Band 1 |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_2 | LTE EUTRAN Band 2. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_3 | LTE EUTRAN Band 3. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_4 | LTE EUTRAN Band 4. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_5 | LTE EUTRAN Band 5. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_6 | LTE EUTRAN Band 6. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_7 | LTE EUTRAN Band 7. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_8 | LTE EUTRAN Band 8. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_9 | LTE EUTRAN Band 9. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_10 | LTE EUTRAN Band 10. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_11 | LTE EUTRAN Band 11. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_12 | LTE EUTRAN Band 12. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_13 | LTE EUTRAN Band 13. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_14 | LTE EUTRAN Band 14. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_17 | LTE EUTRAN Band 17. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_18 | LTE EUTRAN Band 18. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_19 | LTE EUTRAN Band 19. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_20 | LTE EUTRAN Band 20. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_21 | LTE EUTRAN Band 21. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_24 | LTE EUTRAN Band 24. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_25 | LTE EUTRAN Band 25. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_26 | LTE EUTRAN Band 26. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_27 | LTE EUTRAN Band 27. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_28 | LTE EUTRAN Band 28. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_29 | LTE EUTRAN Band 29. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_30 | LTE EUTRAN Band 30. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_31 | LTE EUTRAN Band 31. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_32 | LTE EUTRAN Band 32. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_33 | LTE EUTRAN Band 33. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_34 | LTE EUTRAN Band 34. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_35 | LTE EUTRAN Band 35. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_36 | LTE EUTRAN Band 36. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_37 | LTE EUTRAN Band 37. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_38 | LTE EUTRAN Band 38. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_39 | LTE EUTRAN Band 39. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_40 | LTE EUTRAN Band 40. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_41 | LTE EUTRAN Band 41. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_42 | LTE EUTRAN Band 42. |
QMI_NAS_LTE_BAND_PREFERENCE_EUTRAN_43 | LTE EUTRAN Band 43. |

Since: 1.0

### enum QmiNasTdScdmaBandPreference

Flags to specify TD-SCDMA-specific frequency band preferences.

#### Members

QMI_NAS_TD_SCDMA_BAND_PREFERENCE_A | Band A. |
QMI_NAS_TD_SCDMA_BAND_PREFERENCE_B | Band B. |
QMI_NAS_TD_SCDMA_BAND_PREFERENCE_C | Band C. |
QMI_NAS_TD_SCDMA_BAND_PREFERENCE_D | Band D. |
QMI_NAS_TD_SCDMA_BAND_PREFERENCE_E | Band E. |
QMI_NAS_TD_SCDMA_BAND_PREFERENCE_F | Band F. |

Since: 1.0

### enum QmiNasRoamingStatus

Roaming status.

#### Members

QMI_NAS_ROAMING_STATUS_OFF | Off. |
QMI_NAS_ROAMING_STATUS_ON | On. |
QMI_NAS_ROAMING_STATUS_BLINK | Blinking. |
QMI_NAS_ROAMING_STATUS_OUT_OF_NEIGHBORHOOD | Out of neighborhood. |
QMI_NAS_ROAMING_STATUS_OUT_OF_BUILDING | Out of building. |
QMI_NAS_ROAMING_STATUS_PREFERRED_SYSTEM | Preferred system. |
QMI_NAS_ROAMING_STATUS_AVAILABLE_SYSTEM | Available system. |
QMI_NAS_ROAMING_STATUS_ALLIANCE_PARTNER | Alliance partner. |
QMI_NAS_ROAMING_STATUS_PREMIUM_PARTNER | Premium partner. |
QMI_NAS_ROAMING_STATUS_FULL_SERVICE | Full service. |
QMI_NAS_ROAMING_STATUS_PARTIAL_SERVICE | Partial service. |
QMI_NAS_ROAMING_STATUS_BANNER_ON | Banner on. |
QMI_NAS_ROAMING_STATUS_BANNER_OFF | Banner off. |

Since: 1.0

### enum QmiNasHdrProtocolRevision

HDR protocol revision.

#### Members

QMI_NAS_HDR_PROTOCOL_REVISION_NONE | None. |
QMI_NAS_HDR_PROTOCOL_REVISION_REL_0 | HDR Rel 0. |
QMI_NAS_HDR_PROTOCOL_REVISION_REL_A | HDR Rel A. |
QMI_NAS_HDR_PROTOCOL_REVISION_REL_B | HDR Rel B. |

Since: 1.0

### enum QmiNasWcdmaHsService

Call status on high speed.

#### Members

QMI_NAS_WCDMA_HS_SERVICE_HSDPA_HSUPA_UNSUPPORTED | HSDPA and HSUPA not supported. |
QMI_NAS_WCDMA_HS_SERVICE_HSDPA_SUPPORTED | HSDPA supported. |
QMI_NAS_WCDMA_HS_SERVICE_HSUPA_SUPPORTED | HSUPA supported. |
QMI_NAS_WCDMA_HS_SERVICE_HSDPA_HSUPA_SUPPORTED | HSDPA and HSUPA supported. |
QMI_NAS_WCDMA_HS_SERVICE_HSDPA_PLUS_SUPPORTED | HSDPA+ supported. |
QMI_NAS_WCDMA_HS_SERVICE_HSDPA_PLUS_HSUPA_SUPPORTED | HSDPA+ and HSUPA supported. |
QMI_NAS_WCDMA_HS_SERVICE_DC_HSDPA_PLUS_SUPPORTED | DC-HSDPA+ supported. |
QMI_NAS_WCDMA_HS_SERVICE_DC_HSDPA_PLUS_HSUPA_SUPPORTED | DC-HSDPA+ and HSUPA supported. |

Since: 1.0

### enum QmiNasCellBroadcastCapability

Cell broadcast support.

#### Members

QMI_NAS_CELL_BROADCAST_CAPABILITY_UNKNOWN | Unknown. |
QMI_NAS_CELL_BROADCAST_CAPABILITY_OFF | Cell broadcast not supported. |
QMI_NAS_CELL_BROADCAST_CAPABILITY_ON | Cell broadcast supported. |

Since: 1.0

### enum QmiNasSimRejectState

Reject information of the SIM.

#### Members

QMI_NAS_SIM_REJECT_STATE_SIM_UNAVAILABLE | SIM not available. |
QMI_NAS_SIM_REJECT_STATE_SIM_AVAILABLE | SIM available. |
QMI_NAS_SIM_REJECT_STATE_SIM_CS_INVALID | SIM invalid for circuit-switched connections. |
QMI_NAS_SIM_REJECT_STATE_SIM_PS_INVALID | SIM invalid for packet-switched connections. |
QMI_NAS_SIM_REJECT_STATE_SIM_CS_PS_INVALID | SIM invalid for circuit-switched and packet-switched connections. |

Since: 1.0

### enum QmiNasCdmaPilotType

The pilot set the pilot belongs to.

#### Members

QMI_NAS_CDMA_PILOT_TYPE_ACTIVE | the pilot is part of the active set. |
QMI_NAS_CDMA_PILOT_TYPE_NEIGHBOR | the pilot is part of the neighbor set. |

Since: 1.0

### enum QmiNasDayOfWeek

The day of the week.

#### Members

QMI_NAS_DAY_OF_WEEK_MONDAY | Monday |
QMI_NAS_DAY_OF_WEEK_TUESDAY | Tuesday |
QMI_NAS_DAY_OF_WEEK_WEDNESDAY | Wednesday |
QMI_NAS_DAY_OF_WEEK_THURSDAY | Thursday |
QMI_NAS_DAY_OF_WEEK_FRIDAY | Friday |
QMI_NAS_DAY_OF_WEEK_SATURDAY | Saturday |
QMI_NAS_DAY_OF_WEEK_SUNDAY | Sunday |

Since: 1.4

### enum QmiNasDaylightSavingsAdjustment

The number of hours a time is adjusted for daylight savings.

#### Members

QMI_NAS_DAYLIGHT_SAVINGS_ADJUSTMENT_NONE | no adjustment |
QMI_NAS_DAYLIGHT_SAVINGS_ADJUSTMENT_ONE_HOUR | one hour adjustment |
QMI_NAS_DAYLIGHT_SAVINGS_ADJUSTMENT_TWO_HOURS | two hours adjustment |

Since: 1.4

### enum QmiNasWcdmaRrcState

RRC state.

#### Members

QMI_NAS_WCDMA_RRC_STATE_DISCONNECTED | Disconnected. |
QMI_NAS_WCDMA_RRC_STATE_CELL_PCH | WCDMA RRC state is CELL_PCH. |
QMI_NAS_WCDMA_RRC_STATE_URA_PCH | WCDMA RRC state is URA_PCH. |
QMI_NAS_WCDMA_RRC_STATE_CELL_FACH | WCDMA RRC state is CELL_FACH. |
QMI_NAS_WCDMA_RRC_STATE_CELL_DCH | WCDMA RRC state is CELL_DCH. |

Since: 1.10

### enum QmiNasDLBandwidth

DL Bandwidth.

#### Members

QMI_NAS_DL_BANDWIDTH_1_4 | 1.4 MHz |
QMI_NAS_DL_BANDWIDTH_3 | 3 MHz |
QMI_NAS_DL_BANDWIDTH_5 | 5 MHz |
QMI_NAS_DL_BANDWIDTH_10 | 10 MHz |
QMI_NAS_DL_BANDWIDTH_15 | 15 MHz |
QMI_NAS_DL_BANDWIDTH_20 | 20 MHz |
QMI_NAS_DL_BANDWIDTH_INVALID | Invalid |
QMI_NAS_DL_BANDWIDTH_UNKNOWN | Unknown |

Since: 1.16

### enum QmiNasScellState

SCell State.

#### Members

QMI_NAS_SCELL_STATE_DECONFIGURED | Deconfigured |
QMI_NAS_SCELL_STATE_DEACTIVATED | Deactivated |
QMI_NAS_SCELL_STATE_ACTIVATED | Activated |

Since: 1.16

### enum QmiNasNetworkNameDisplayCondition

Flags used to control display of the PLMN name and Service Provider Name. See 3GPP TS 51.011 descripton of the EFspn SIM file for more details.

#### Members

QMI_NAS_NETWORK_NAME_DISPLAY_CONDITION_DISPLAY_REGISTERED_PLMN_IF_KNOWN_NETWORK | if set, display of the registered PLMN is required when the registered PLMN is either the HPLMN or a PLMN in the Service Provider PLMN List (see EFspdi). Otherwise display of the registered PLMN is not required in this case. |
QMI_NAS_NETWORK_NAME_DISPLAY_CONDITION_DISPLAY_SPN_NOT_REQUIRED_IF_UNKNOWN_NETWORK | if set, display of the Service Provider Name is not required when registered PLMN is neither HPLMN nor a PLMN in the service provider PLMN list (see EFspdi). If not set, SPN display is required in this case. |

Since: 1.18

### enum QmiNasPlmnEncodingScheme

PLMN name encoding schemes. See 3GPP TS 24.008 section "Network Name information element".

#### Members

QMI_NAS_PLMN_ENCODING_SCHEME_GSM | GSM default alphabet packed encoding (ETSI GSM 03.38) |
QMI_NAS_PLMN_ENCODING_SCHEME_UCS2LE | UCS-2 little-endian |

Since: 1.18

### enum QmiNasPlmnNameCountryInitials

PLMN name country initials options. See 3GPP TS 24.008 section "Network Name information element".

#### Members

QMI_NAS_PLMN_NAME_COUNTRY_INITIALS_DO_NOT_ADD | don't add country initials |
QMI_NAS_PLMN_NAME_COUNTRY_INIITALS_ADD | add country initials |
QMI_NAS_PLMN_NAME_COUNTRY_INIITALS_UNSPECIFIED | unspecified |

Since: 1.18

### enum QmiNasPlmnNameSpareBits

PLMN name spare bits in last octet of a network name. See 3GPP TS 24.008 section "Network Name information element".

#### Members

QMI_NAS_PLMN_NAME_SPARE_BITS_UNKNOWN | unknown |
QMI_NAS_PLMN_NAME_SPARE_BITS_BIT_8 | bit 8 is spare |
QMI_NAS_PLMN_NAME_SPARE_BITS_BITS_78 | bits 7 - 8 are spare |
QMI_NAS_PLMN_NAME_SPARE_BITS_BITS_68 | bits 6 - 8 are spare |
QMI_NAS_PLMN_NAME_SPARE_BITS_BITS_58 | bits 5 - 8 are spare |
QMI_NAS_PLMN_NAME_SPARE_BITS_BITS_48 | bits 4 - 8 are spare |
QMI_NAS_PLMN_NAME_SPARE_BITS_BITS_38 | bits 3 - 8 are spare |
QMI_NAS_PLMN_NAME_SPARE_BITS_BITS_28 | bits 2 - 8 are spare |

Since: 1.18